{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;

  cfg = config.pepe.services.sonarr;
in
{
  options.pepe.services.sonarr = with lib; {
    enable = mkEnableOption "Enable sonarr";
    package = mkPackageOption pkgs "sonarr" { };
    domain = mkOption {
      type = types.str;
      default = null;
    };
  };

  config = mkIf cfg.enable {
    services.sonarr = {
      enable = true;
      package = cfg.package;
    };

    pepe.core.vhost.hosts.${cfg.domain} = with config.pepe.core.network; {
      dnsInterfaces = [ interfaceTypes.vpn interfaceTypes.lan ];
      locations."/" = {
        port = 8989;
        allowLan = true;
        allow = [
          interfaces.${interfaceTypes.vpn}.net
        ];
      };
    };

    pepe.core.media.groupMembers = mkIf config.pepe.core.media.enable [ config.services.sonarr.group ];
  };
}
