{ pkgs, ... }:

let
  stablePkgs = with pkgs;[
    rizin
    sshfs
    victor-mono
    home-manager
    ripgrep
    ydiff
    nix-index
    pipenv
    htop
    glances
    tree
  ] ++ lib.optional (!pkgs.stdenv.isDarwin) pastebinit;

  unstablePkgs = with pkgs.unstablePkgs; [ aider-chat ];
in
{
  imports = [
    ./zsh.nix
    ./git.nix
    ./helix.nix
  ];

  home = {
    packages = stablePkgs ++ unstablePkgs;

    stateVersion = "24.11";
  };
}
